Fn to test if an integer is a power of 2

08 Apr 2014 14:10 - John Abbott

Status: Closed Start date: 08 Apr 2014

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.50 hour

Target version: CoCoALib-0.99533 Easter14 Spent time: 1.00 hour

Description

It would be handy sometimes to have a function which says whether an integer is a power of 2; perhaps if its absolute value is a

power of 2.

GMP does not have a direct fn for this.

History

#1 - 08 Apr 2014 14:11 - John Abbott

- Status changed from New to Feedback

- % Done changed from 0 to 90

I have implemented in IntOperations both for BigInt and MachineInt.

Also added doc and some tests.

The fn says whether value is positive and is a power of 2.

#2 - 15 Apr 2014 12:43 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Powered by TCPDF (www.tcpdf.org)

23 Apr 2024 1/1

http://www.tcpdf.org

